# Poco

# class PipeIOS

Library: Foundation
Package: Processes
Header: Poco/PipeStream.h

## Description

The base class for PipeInputStream and PipeOutputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: PipeInputStream, PipeOutputStream

## Member Summary

Member Functions: close, rdbuf

## Constructors

### PipeIOS

PipeIOS(
const Pipe & pipe,
openmode mode
);

Creates the PipeIOS with the given Pipe.

## Destructor

### ~PipeIOS

~PipeIOS();

Destroys the PipeIOS.

Flushes the buffer, but does not close the pipe.

## Member Functions

### close

void close();

Flushes the stream and closes the pipe.

### rdbuf

PipeStreamBuf * rdbuf();

Returns a pointer to the internal PipeStreamBuf.

## Variables

### _buf

PipeStreamBuf _buf;